issue for bi_customer_overdue_statement (#253)
Status: OPEN
Date: 23/04/2021
ID: 253
S/O number: SO2021/1370177
Reviewer: Hiral Bhatt
Module Name: bi_customer_overdue_statement
Version: 13.0
Tags:

Assigned to
Contact
Tirth Mehta
tirth.mehta@browseinfo.in
Reported by
Contact
Mark Shelly

Description
Hi,

I have installed your module: Customer Statement and Customer Overdue Payments Reports Odoo and have found an issue when I go to a contact that has an invoice contact with invoices.

I get this error when clicking on the contact, any help is greatly appreciated:

Error:

Odoo Server Error



Traceback (most recent call last):

File "/opt/odoo13/odoo/odoo/api.py", line 745, in get

value = self._data[field][record._ids[0]]

KeyError: 21447



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/opt/odoo13/odoo/odoo/fields.py", line 996, in __get__

value = env.cache.get(record, self)

File "/opt/odoo13/odoo/odoo/api.py", line 751, in get

raise CacheMiss(record, field)

odoo.exceptions.CacheMiss: ('res.partner(21447,).first_thirty_day', None)



During handling of the above exception, another exception occurred:



Traceback (most recent call last):

File "/opt/odoo13/odoo/odoo/http.py", line 624, in _handle_exception

return super(JsonRequest, self)._handle_exception(exception)

File "/opt/odoo13/odoo/odoo/http.py", line 310, in _handle_exception

raise pycompat.reraise(type(exception), exception, sys.exc_info()[2])

File "/opt/odoo13/odoo/odoo/tools/pycompat.py", line 14, in reraise

raise value

File "/opt/odoo13/odoo/odoo/http.py", line 669, in dispatch

result = self._call_function(**self.params)

File "/opt/odoo13/odoo/odoo/http.py", line 350, in _call_function

return checked_call(self.db, *args, **kwargs)

File "/opt/odoo13/odoo/odoo/service/model.py", line 94, in wrapper

return f(dbname, *args, **kwargs)

File "/opt/odoo13/odoo/odoo/http.py", line 339, in checked_call

result = self.endpoint(*a, **kw)

File "/opt/odoo13/odoo/odoo/http.py", line 915, in __call__

return self.method(*args, **kw)

File "/opt/odoo13/odoo/odoo/http.py", line 515, in response_wrap

response = f(*args, **kw)

File "/opt/odoo13/odoo/addons/web/controllers/main.py", line 1322, in call_kw

return self._call_kw(model, method, args, kwargs)

File "/opt/odoo13/odoo/addons/web/controllers/main.py", line 1314, in _call_kw

return call_kw(request.env[model], method, args, kwargs)

File "/opt/odoo13/odoo/odoo/api.py", line 387, in call_kw

result = _call_kw_multi(method, model, args, kwargs)

File "/opt/odoo13/odoo/odoo/api.py", line 374, in _call_kw_multi

result = method(recs, *args, **kwargs)

File "/opt/odoo13/odoo/odoo/models.py", line 2915, in read

vals[name] = convert(record[name], record, use_name_get)

File "/opt/odoo13/odoo/odoo/models.py", line 5610, in __getitem__

return self._fields[key].__get__(self, type(self))

File "/opt/odoo13/odoo/odoo/fields.py", line 1020, in __get__

self.compute_value(recs)

File "/opt/odoo13/odoo/odoo/fields.py", line 1105, in compute_value

records._compute_field_value(self)

File "/opt/odoo13/odoo/odoo/models.py", line 3915, in _compute_field_value

getattr(self, field.compute)()

File "/opt/odoo13/xo2-addons/bi_customer_overdue_statement/models/res_partner.py", line 148, in compute_days

diff = today - ml.date_maturity

TypeError: unsupported operand type(s) for -: 'datetime.date' and 'bool'



Regards,

Mark Shelly

XO2

Message and communication history